Support for the Ruby 2.1 series ended on March 31 2017. See here for details.

In Files

  • rss/maker/1.0.rb

Parent

Methods

Class/Module Index [+]

Quicksearch

RSS::Maker::RSS10::Channel::Links::Link

Public Instance Methods

to_feed(rss, channel) click to toggle source
 
               # File rss/maker/1.0.rb, line 128
def to_feed(rss, channel)
  if have_required_values?
    channel.link = href
  else
    raise NotSetError.new("maker.channel.link",
                          not_set_required_variables)
  end
end